Replace the casting of entities

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/projects/{project_id}/entities/casting

Replace the casting of entities of a project in one request. The body is a map of entity identifiers to casting lists. Each list has the format of the route that replaces the casting of one entity. You must be a manager of the project. Each entry must have asset_id and nb_occurences. An entry without nb_occurences is skipped and its asset is removed from the casting.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

application/json

Body Required

  • * array[object] Additional properties
    Hide * attributes Show * attributes object
    • asset_id string(uuid) Required

      Asset to cast

    • nb_occurences integer Required

      Number of occurrences of the asset

      Minimum value is 0.

    • label string

      Label of the link

      Default value is empty.

Responses

  • 200 application/json

    A map of entity identifiers to their new casting

  • 400

    The body is not a map of casting lists

  • 403

    You are not a manager of the project, or an entity is not in the project

  • 404

    The entity does not exist

PUT /data/projects/{project_id}/entities/casting
curl \
 --request PUT '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/entities/casting' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "a24a6ea4-ce75-4665-a070-57453082c250": [
    {
      "asset_id": "b35b7fb5-df86-5776-b181-68564193d360",
      "nb_occurences": 2
    }
  ]
}'
Request example
{
  "a24a6ea4-ce75-4665-a070-57453082c250": [
    {
      "asset_id": "b35b7fb5-df86-5776-b181-68564193d360",
      "nb_occurences": 2
    }
  ]
}
Response examples (200)
{}